from typing import List
from segment import *

class FileBuffer:

    def __init__(self):
        pass

    def read(self, filename) -> List[Segment]:
        # return array of segment,
        # array of segment hanya berisi data, sementara header kosong
        f = open(filename, "rb")
        segments = []
        while 1:
            data = f.read(DATA_SIZE-1)
            if not data:
                break
            seg = Segment(data=data)
            segments.append(seg)
        return segments

    def write(self, segments:List[Segment], filename):
        # write array of segment to file
        with open(filename, 'wb') as f:
            for seg in segments:
                data = seg.get_data()
                f.write(data)
        return

if __name__=="__main__":
    fb = FileBuffer()
    segments = fb.read("data/test")

    print(len(segments))

    fb.write(segments, "data/out")

    buff = [10, 90, 99]
    byte = bytes(buff)
